### Virtual Method

# Gio Application open

since: 2.28

#### Declaration

    void
    open (
      GApplication* application,
      GFile** files,
      gint n_files,
      const gchar* hint
    )

#### Description

Opens the given files.

In essence, this results in the `GApplication::open` signal being emitted in the primary instance.

`n_files` must be greater than zero.

`hint` is simply passed through to the ::open signal. It is intended to be used by applications that have multiple modes for opening files (eg: “view” vs “edit”, etc). Unless you have a need for this functionality, you should use “”.

The application must be registered before calling this function and it must have the `G_APPLICATION_HANDLES_OPEN` flag set.

Available since: 2.28

#### Parameters

`files`

  Type: An array of `GFile*`

  An array of `GFiles` to open.

  The length of the array is specified in the `n_files` argument.
  The data is owned by the caller of the method.

`n_files`

  Type: `gint`

  The length of the `files` array.

`hint`

  Type: `const gchar*`

  A hint (or “”), but never `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.